org.apache.ignite.internal.util.future

## Class GridCompoundIdentityFuture<T>

- java.lang.Object
- - org.apache.ignite.internal.util.future.GridFutureAdapter<R>
  - - org.apache.ignite.internal.util.future.GridCompoundFuture<T,T>
    - - org.apache.ignite.internal.util.future.GridCompoundIdentityFuture<T>

All Implemented Interfaces:
  Serializable, IgniteInternalFuture<T>, IgniteInClosure<IgniteInternalFuture<T>>

Direct Known Subclasses:
  GridCacheCompoundIdentityFuture, GridDhtGetFuture

    public class GridCompoundIdentityFuture<T>
    extends GridCompoundFuture<T,T>

Compound future with reducer which accepts and produces results of the same type.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GridCompoundIdentityFuture()`
`GridCompoundIdentityFuture(@Nullable IgniteReducer<T,T> rdc)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `toString()`

### Methods inherited from class org.apache.ignite.internal.util.future.GridCompoundFuture

`add, apply, cancel, clear, future, futures, futuresCountNoLock, hasFutures, hasPending, ignoreFailure, initialized, logDebug, logError, markInitialized, processFailure`

### Methods inherited from class org.apache.ignite.internal.util.future.GridFutureAdapter

`chain, chain, error, get, get, get, getUninterruptibly, ignoreInterrupts, isCancelled, isDone, isFailed, listen, logger, onCancelled, onDone, onDone, onDone, onDone, onDone, reset, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridCompoundIdentityFuture

    public GridCompoundIdentityFuture()

#### GridCompoundIdentityFuture

    public GridCompoundIdentityFuture(@Nullable
                                      @Nullable IgniteReducer<T,T> rdc)

Parameters:
  `rdc` - Reducer.

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `GridCompoundFuture<T,T>`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.1
Release Date | : December 9 2020